:root {

    /* COLORI DASHBOARD */
    --dashboard-background-color-logo: #000000;
    --dashboard-background-color-navbar: #000000;
    --dashboard-background-color-toggle-menu: #FF7F00;
    --dasboard-top-buttons-color: var(--main-background-color);
    --general-background-color: #101010;
    --footer-background-color: #101010;
    --tab-background-color: #242424;
    --general-text-color: #f0f0f0;
    --faded-text-color: #a1a1a1;

    --progress-bar-color: #FF7F00;

    /* Colori input */
    --standard-input-bg: #363636;
    --faded-input-bg: #5a5a5a;
    --standard-input-border: #3f3f3f;
    --focus-input-border: #656565;
    --standard-input-color: #f0f0f0;
    --faded-input-color: #a1a1a1;
    --standard-input-placeholder-color: #747474;

    /* MENU LATERALE (SFONDO + BORDO + COLORE LINK) */
    --sidebar-background-color: #000000;
    --sidebar-link-color: #e3e3e3;
    --sidebar-border-left-color: #FF7F00;
    --sidebar-background-color-hover: #4e4e4e;

    /* colori bottoni e link */
    --main-background-color: #FF7F00;
    --faded-main-background-color: #FF7F0066;
    --main-text-color: #151414;
    --main-border-color: #FF7F00;
    --pace-border: #FF7F00;

    /* datatables e search */
    --datatable-search-model: #63737B;
    --datatable-search-model-border: #63737B;
    --datatable-search-border: #3e3e3e;
    --datatable-footer: #000000;
    --datatable-search-text-color: #ffffff;
    --datatable-search-background-color: #63737B;
    --datatable-search-date: #63737B;

    --datatable-danger-bg: #512525;
    --datatable-success-bg: #255127;

    --table-border-color: #303030;

    /* Charts */
    --chart-line-color: #484848;
    --chart-crosshair-color: #FFFFFF;

    /* Miscellaneous */
    --url-background: url("/assets/customization/cuppone/login-wall-2025-26.png") no-repeat center center fixed;
    --machine-list-button: #9a4900;
    --thumbnail-background-color: #D6E0E8;
    --thumbnail-border: 1px solid #FF7F00;
    --swal-button-active:  #FF7F00cc; /* #XXXXXX <- hexa normale xx <- canale alfa*/
    --display-logo: inline-block;
    --image-placeholder: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNksMisBwACAwEiHax7ZwAAAABJRU5ErkJggg==);
    --max-width-logo-login: -webkit-fill-available;
    --max-width-logo-login-ff: -moz-available;
}

/* Enable account registration link */
.register-link {
    display: block;
}

/* Login overrides as with this background the user can't see anything */
#login-box {
    border-radius: 3px;
    padding: 0 15px 35px;
    background-color: #FFFFFFD1;


    text-align: left;
    top: 0;
    position: relative;
    box-shadow: 0 1px 13px -5px rgba(0, 0, 0, 0.2);
}

#login-box:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 4px;
    height: 100%;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;

    background-color: var(--main-background-color);
}

/*
.login-bg-overlay {
    backdrop-filter: blur(4px);
    height: 100vh;
    overflow-y: scroll;
}
*/

.login-title {
    height: 105px;
}

.login-footer {
    background-color: var(--datatable-footer);
}

.max-width-logo-login {
    display: none;
}

.login-change-page.register-link {
    color: var(--main-text-color);
}